gnunet-svn
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

[taler-deployment] branch master updated: -fix checks


From: gnunet
Subject: [taler-deployment] branch master updated: -fix checks
Date: Sat, 04 Mar 2023 19:45:40 +0100

This is an automated email from the git hooks/post-receive script.

grothoff pushed a commit to branch master
in repository deployment.

The following commit(s) were added to refs/heads/master by this push:
     new bf9666c  -fix checks
bf9666c is described below

commit bf9666c1a71785d978e8c2778fa0b0e57f87a37a
Author: Christian Grothoff <christian@grothoff.org>
AuthorDate: Sat Mar 4 19:45:38 2023 +0100

    -fix checks
---
 netzbon/config_nginx.sh | 11 ++++++++---
 1 file changed, 8 insertions(+), 3 deletions(-)

diff --git a/netzbon/config_nginx.sh b/netzbon/config_nginx.sh
index 14fc4e4..f0df416 100755
--- a/netzbon/config_nginx.sh
+++ b/netzbon/config_nginx.sh
@@ -1,8 +1,9 @@
 #!/bin/bash
 # This file is in the public domain.
 
-# Inputs: DOMAIN_NAME & ENABLE_TLS
+set -eu
 
+# Inputs: DOMAIN_NAME & ENABLE_TLS
 
 source functions.sh
 source config/user.conf
@@ -21,22 +22,26 @@ fi
 
 say "Configuring Nginx"
 
-systemctl start nginx
-
 SITES_AVAILABLE_DIR=/etc/nginx/sites-available
 SITES_ENABLED_DIR=/etc/nginx/sites-enabled
 
 sed -i 's/server_name localhost/server_name exchange.${DOMAIN_NAME}/g' 
${SITES_AVAILABLE_DIR}/taler-exchange
 sed -i 's/"localhost"/"exchange.${DOMAIN_NAME}"/g' 
${SITES_AVAILABLE_DIR}/taler-exchange
+rm -f ${SITES_ENABLED_DIR}/exchange.${DOMAIN_NAME}
 ln -s ${SITES_AVAILABLE_DIR}/taler-exchange 
${SITES_ENABLED_DIR}/exchange.${DOMAIN_NAME}
 
 sed -i 's/server_name localhost/server_name merchant.${DOMAIN_NAME}/g' 
${SITES_AVAILABLE_DIR}/taler-merchant
+rm -f ${SITES_ENABLED_DIR}/backend.${DOMAIN_NAME}
 ln -s ${SITES_AVAILABLE_DIR}/taler-merchant 
${SITES_ENABLED_DIR}/backend.${DOMAIN_NAME}
 
 
 sed -i 's/server_name localhost/server_name bank.${DOMAIN_NAME}/g' 
${SITES_AVAILABLE_DIR}/libeufin-sandbox
+rm -f ${SITES_ENABLED_DIR}/bank.${DOMAIN_NAME}
 ln -s ${SITES_AVAILABLE_DIR}/libeufin-sandbox 
${SITES_ENABLED_DIR}/bank.${DOMAIN_NAME}
 
+say "Restarting Nginx with new configuration"
+systemctl restart nginx
+
 if test ${ENABLE_TLS} == "y"
 then
     say "Obtaining TLS certificates"

-- 
To stop receiving notification emails like this one, please contact
gnunet@gnunet.org.



reply via email to

[Prev in Thread] Current Thread [Next in Thread]